name: zz-man

services:

  redis:
    image: redis:7
    environment:
      REDIS_PASSWORD: ${REDIS_PASSWORD}
    ports:
      - "${REDIS_PORT}:6379"
    volumes:
      - redis_data:/data
  
  mariadb:
    image: mariadb:10
    environment:
      MYSQL_ROOT_PASSWORD: ${MYSQL_PASSWORD}
      MYSQL_DATABASE: ${MYSQL_DATABASE}
    ports:
      - "${MYSQL_PORT}:3306"
    volumes:
      - mariadb_data:/var/lib/mysql

volumes:
  redis_data:
  mariadb_data: